PR3287(1)

NAME
pr3287 - IBM host printing tool

SYNOPSIS
pr3287 [ options ] [ L: ] [[ LUname [, LUname ...]@] hostname [: port ]]

DESCRIPTION
pr3287 opens a telnet connection to an IBM host, and emulates an IBM 3287 printer. It implements RFCs 2355 (TN3270E), 1576 (TN3270) and 1646 (LU name selection).

If the hostname is prefixed with L:, the connection will be made through an SSL tunnel. pr3287 also supports TELNET START-TLS option negotiation without any need for command-line options.

A specific LU name to use may be specified by prepending it to the hostname with an `@'. Multiple LU names to try can be separated by commas. An empty LU can be placed in the list with an extra comma.

The port to connect to defaults to telnet. This can be overridden by appending a port to the hostname with a colon `:'.

OPTIONS
pr3287 understands the following options:

-assoc LUname
    Causes the session to be associated with the specified LUname.

-blanklines
    In LU3 formatted mode, print blank lines even if they are all NULLs or control characters. (This is a violation of the 3270 printer protocol, but some hosts require it.)

-charset name
    Specifies an alternate EBCDIC-to-ASCII mapping. The default maps the EBCDIC U.S. English character set to ISO 8859-1. Other built-in character sets are bracket, which corresponds to many older IBM hosts' mapping of the [ and ] characters, and the non-U.S. character sets german, finnish, uk, norwegian, french, icelandic and belgian. These correspond to the x3270 character sets of the same names.

    If name begins with an @, then the balance is intepreted as the name of a file containing character mappings. The file contains whitespace-separated tokens. Each token is a number specifying an EBCDIC code, an = character, and a number specifying the 8-bit ASCII character used to print that code. Blank lines and lines beginning with # are ignored.

    If name begins with an =, then the balance is intepreted as a string containing mapping tokens, as in a file.

    For example, a file defining the uk character set would look like this:

    # UK character set
    0x4a=0x24 0x5b=0xa3 0xa1=0xaf
    0xb0=0xa2 0xb1=0x5b 0xba=0x5e
    0xbc=0x7e

-command command
    Specifies the command to run for each print job. The default is lpr.

-crlf
    Causes newline characters in the output to be expanded to carriage-return/linefeed sequences.

-daemon
    Causes pr3287 to become a daemon (background) process.

-eojtimeout seconds
    Causes pr3287 to flush the print job after seconds seconds of inactivity.

-ignoreeoj
    Ignore TN3270E PRINT-EOJ commands, relying on UNBIND commands to indicate the ends of print jobs.

-ffskip
    Causes pr3287 to ignore a FF (formfeed) order if it occurs at the top of a page.

-ffthru
    In SCS mode, causes pr3287 to pass FF (formfeed) orders through to the printer as ASCII formfeed characters, rather than simulating them based on the values of the MPL (maximum presentation line) and TM (top margin) parameters.

-reconnect
    Causes pr3287 to reconnect to the host, whenever the connection is broken. There is a 5-second delay between reconnect attempts, to reduce network thrashing for down or misconfigured hosts.

-trace
    Turns on data stream tracing. Trace information is usually saved in the file /tmp/x3trc.pid.

-tracedir dir
    Specifies the directory to save trace files in, instead of /tmp.

SIGNALS
SIGINT, SIGHUP and SIGTERM cause the current print job to be flushed (any pending data to be printed) and pr3287 to exit.

SIGUSR1 causes the current print job to be flushed without otherwise affecting the pr3287 process.

SEE ALSO
x3270(1), telnet(1), tn3270(1)
Data Stream Programmer's Reference, IBM GA23-0059
Character Set Reference, IBM GA27-3831
3174 Establishment Controller Functional Description, IBM GA23-0218
RFC 1576, TN3270 Current Practices
RFC 1646, TN3270 Extensions for LUname and Printer Selection
RFC 2355, TN3270 Enhancements

COPYRIGHTS

Modifications Copyright 1993-1996, 1997, 1999-2003 by Paul Mattes.
Original X11 Port Copyright 1990 by Jeff Sparkes.
    Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.
Copyright 1989 by Georgia Tech Research Corporation, Atlanta, GA 30332.
    All Rights Reserved. GTRC hereby grants public use of this software. Derivative works based on this software must incorporate this copyright notice.

VERSION
pr3287 3.3.3beta1